Bug 28511 - Road types in OPAC should prefer OPAC description if one exists
Summary: Road types in OPAC should prefer OPAC description if one exists
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 18112
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-03 13:41 UTC by Katrin Fischer
Modified: 2021-12-13 21:14 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02


Attachments
Bug 28511: Road types in OPAC should prefer OPAC description if one exists (2.56 KB, patch)
2021-06-07 18:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28511: Road types in OPAC should prefer OPAC description if one exists (2.61 KB, patch)
2021-06-07 20:33 UTC, David Nind
Details | Diff | Splinter Review
Bug 27348: Fix test on ALTERNATE_INDEXER_DAEMON in koha-indexer (1.03 KB, patch)
2021-06-11 16:46 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28511: Road types in OPAC should prefer OPAC description if one exists (2.67 KB, patch)
2021-06-21 10:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-06-03 13:41:07 UTC
The road type pull down in the OPAC doesn't use the OPAC description. If one is set, it should be used with a fall back to the normal description.
Comment 1 Owen Leonard 2021-06-07 18:55:41 UTC
Created attachment 121692 [details] [review]
Bug 28511: Road types in OPAC should prefer OPAC description if one exists

This patch modifies the patron entry form in the OPAC so that if street
types are defined in authorized values, the OPAC description is
preferred.

To test, apply the patch and go to Administration -> Authorized values.

- Add or edit entries in the "ROADTYPE" category.
  - Some entries should have only the "Description" set, while others
    should have "Description" and "Description (OPAC)".
- In the OPAC, open the patron registration page. Check the "Stree type"
  drop down in the "Main address" section.
  - For entries which have an OPAC description, this value should show.
  - For entries without an OPAC description the default should show.
Comment 2 David Nind 2021-06-07 20:33:43 UTC
Created attachment 121696 [details] [review]
Bug 28511: Road types in OPAC should prefer OPAC description if one exists

This patch modifies the patron entry form in the OPAC so that if street
types are defined in authorized values, the OPAC description is
preferred.

To test, apply the patch and go to Administration -> Authorized values.

- Add or edit entries in the "ROADTYPE" category.
  - Some entries should have only the "Description" set, while others
    should have "Description" and "Description (OPAC)".
- In the OPAC, open the patron registration page. Check the "Stree type"
  drop down in the "Main address" section.
  - For entries which have an OPAC description, this value should show.
  - For entries without an OPAC description the default should show.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2021-06-11 16:46:44 UTC
Created attachment 121863 [details] [review]
Bug 27348: Fix test on ALTERNATE_INDEXER_DAEMON in koha-indexer

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-06-21 10:00:36 UTC
Created attachment 122214 [details] [review]
Bug 28511: Road types in OPAC should prefer OPAC description if one exists

This patch modifies the patron entry form in the OPAC so that if street
types are defined in authorized values, the OPAC description is
preferred.

To test, apply the patch and go to Administration -> Authorized values.

- Add or edit entries in the "ROADTYPE" category.
  - Some entries should have only the "Description" set, while others
    should have "Description" and "Description (OPAC)".
- In the OPAC, open the patron registration page. Check the "Stree type"
  drop down in the "Main address" section.
  - For entries which have an OPAC description, this value should show.
  - For entries without an OPAC description the default should show.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-06-21 10:06:30 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-07-02 11:43:27 UTC
Pushed to 21.05.x for 21.05.02
Comment 7 Fridolin Somers 2021-07-10 02:38:58 UTC
Depends on Bug 18112 not in 20.11.x